/* Version History
  -----
  1.41B0           09. Jun 2009  BO  VM 7.4 Binding Live Check and Binding Timeout added.
                   12. Jun 2009  BO  Binding timeout adjustments.
  1.45B1           21. Sep 2009  BO  Displaying Straton Project info and adjustments for CE6
  1.45B2           20. Jan 2010  BO  Changing BC logo to BS logo in all source files.
  1.49   1.10.12   12. Oct 2010  BO  Showing RS485 option on setting page.
  1.50B4 1.16.02B4 09. Feb 2011  BO  RTU32R 60IOA board.
  1.50B5 1.16.02B5 30. Mar 2011  BO  Display of version information changed.
  1.50B6 1.16.02B5 06. Apr 2011  BO  SNMP AI/AO limit values did not show minus (-) numbers.
  1.50   1.16.02   06. Jul 2011  BO  Option visning e.g. (COM1..COM8)
  1.52B0 1.18.00B0 26. Mar 2012  BO  Adjustments for the RTU32S
                                     Redunandcy page is disabled
                   11. Apr 2012  BO  Variable 'ProductType' used more places.
                                     Support for 60IOA 20V type 145 I/O board added.
                   02. May 2012  BO  Adjustments to be able to run on LX800 with current version
                                     of RemoteAdmin.dll
                   06. Jul 2012  BO  SnmpEnabled and WebHmiEnabled added.
                   11. Jul 2012  NDS/BO Added AddExclamation(id,name,description)
  1.54B6           27. Sep 2012  BO  Now the same www can be used on both RTU32 and RTU32S
  1.54B7           16. Oct 2012  BO  Modem page added
                   04. Jan 2013  BO  User page added
                   01  Feb 2013  BO  Download button security logs added.
                   20  Feb 2013  BO  VPN added
                   28  May 2013  BO  VPN L2TP added / IE V10 can be used.				   
*/

var WwwVersion = 'V2016/06/22';
var g_MODULESLIST_ToolBar = new Array();

//****************
var HlutverkA = "2";
var HlutverkS = "1";
var HlutverkG = "0";

##include NOHEADER_MODULESLIST##
##include NOHEADER_REMOTEUTILS##
##include NOHEADER_USERS_USERINFO##

//    know if a variable is defined globally by putting if(window.var) -- simply if(var) wont work 
if(window.g_NETWORK_RestartTime) {	
	window.location = "RestartNetwork.htm?delay="+window.g_NETWORK_RestartTime + "&Redirect="+window.location;
} else {
	// Redirect if OOBE isnt "1"
	if('undefined' == typeof(g_REMOTEUTILS_NoBackupRegistry["OOBE"]) || "1" == g_REMOTEUTILS_NoBackupRegistry["OOBE"]) {
		if(-1 == new String(window.location).search(g_REMOTEUTILS_Registry["OOBEPage"])) {
			if(-1 == new String(window.location).search("RestartNetwork.htm")) {					
				window.location = g_REMOTEUTILS_Registry["OOBEPage"];
			}
		}
	}
}

if (location==top.location){
	document.write('<script src="../remoteadminimages/general_loc.js"><\/script>')
	document.write("<script src=ALL_TOOLBARS.js></script>");
}

function ModuleExists(Mod) {
	return window.g_MODULESLIST_Available[Mod]?true:false;
}

var g_ManagmentTab;
var g_StratonTab;
var g_SecurityTab;
var g_UtilsTab;
var g_TestTab;
var g_WitsTab;
var g_DNP3Tab;
var WitsEnabled = false;
var DNP3Enabled = false;
var _arrDrivers;
var driversFileFound = false;
var g_drivers = "";

var dHxLine = "";

if ('undefined'==typeof(g_RTU32EDITOR_DHX)) 
  g_RTU32EDITOR_DHX = new Array();
else
  driversFileFound = true;
	
if (g_RTU32EDITOR_DHX.length>0)
{
  var j;
  for (j=0; j<g_RTU32EDITOR_DHX.length;j++)
    dHxLine += g_RTU32EDITOR_DHX[j] + ",";
}

var driversHexBytes = dHxLine.split(",");

function MakeToolBar() {
	if (!driversFileFound)
		g_drivers = g_REMOTEUTILS_Registry["Drivers"];
	else
		parseDrivers(driversHexBytes);
	try
	{
		_arrDrivers = g_drivers.split(",");

		for (i = 0; i < _arrDrivers.length; i++)
		{
			if (_arrDrivers[i].length > 0)
			{
				if (_arrDrivers[i].substring(0, _arrDrivers[i].indexOf('.')) == "T5BusExBDNP3SL3")
					DNP3Enabled = true;
				else if (_arrDrivers[i].substring(0, _arrDrivers[i].indexOf('.')) == "T5BusExDNP3SWITS")
					WitsEnabled = true;
				else if (_arrDrivers[i].substring(0, _arrDrivers[i].indexOf('.')) == "T5BusExWITS")
				    WitsEnabled = true;
			}
		}
	}
	catch(err){}
	document.write("<table>");
	AddSection('&nbsp;','');
	document.write("</table>");
	BuildBoxHeader();
	document.write("<TABLE class=innerToolBar>");
	AddSelection("Settings Overview", "home.htm");
	AddSelection("Hardware Overview", "hardwareoverview.htm");
	AddSelection("User Overview", "CustomUI.htm");
	AddSelection("Network Settings", "local_network.htm");
	if (ShowModemPage)
	    {
	    AddSelection("Modem Settings", "modem.htm");
	    }
	if (ShowVpnPage)
	    {
	    AddSelection("VPN Settings", "vpn_pptp.htm");
	    }
	if (StratonEnabled)
	  {
	  g_StratonTab = AddSelectionTab("VM Runtime Settings");
	  AddSelectionToTab(g_StratonTab,"Main Settings", "vm_main.htm");
	  if (RedundancyEnabled)
	    AddSelectionToTab(g_StratonTab,"Redundancy Settings", "Redundant.htm");
	  }
	AddSelection("I/O Board Settings", "ioboard.htm");
	AddSelection("Time Settings", "SetTime.htm");
	if (ShowSecurity)
	  {
      g_SecurityTab = AddSelectionTab("Security");
	  if (g_USERS_Hlutverk==HlutverkA)
	    {
	    AddSelectionToTab(g_SecurityTab,"Change Password", "ChangePassword.htm");
	    AddSelectionToTab(g_SecurityTab,"User Administration", "user.htm");
	    }
      AddSelectionToTab(g_SecurityTab,"View Server Logs", "seclog.htm");
      }
    else
      {
      AddSelection("Change Password", "ChangePassword.htm");
      }
	AddSelection("Edit Config File", "editor.htm");
	AddSelection("Boot", "Reset.htm");
	
	if ((g_USERS_Hlutverk!=HlutverkG))
	{
		g_UtilsTab = AddSelectionTab("Utilities");		
		AddSelectionToTab(g_UtilsTab, "Backup & Restore", "BackupRestore.htm");
		AddSelectionToTab(g_UtilsTab, "Network Packet Capture", "Netlog.htm");
	}
	if (StratonEnabled && WebHmiEnabled && (g_USERS_Hlutverk!=HlutverkG))
	  {
  	  AddSelection("HMI", "hmi.htm");
  	}
	
	if (WitsEnabled){
		g_WitsTab = AddSelectionTab("WITS-DNP3 Slave");
		AddSelectionToTab(g_WitsTab, "WITS-DNP3 Configuration", "dnp3wits.htm");
		AddSelectionToTab(g_WitsTab, "Incremental Configuration", "dnp3witsic.htm");
		AddSelectionToTab(g_WitsTab, "Incremental Config Log", "dnp3witsiclog.htm");
		AddSelectionToTab(g_WitsTab, "Data Log", "dnp3witsdatalog.htm");
		AddSelectionToTab(g_WitsTab, "Security Log",  "dnp3witslog.htm");
		AddSelectionToTab(g_WitsTab, "Connection Manager Status", "dnp3witsconnman.htm");
	}

	if (DNP3Enabled){
		g_DNP3Tab = AddSelectionTab("DNP3 Slave");
		AddSelectionToTab(g_DNP3Tab, "DNP3 Slave Configuration", "dnp3s.htm");
		AddSelectionToTab(g_DNP3Tab, "DNP3 Serial Tunneling", "dnp3stunnel.htm");
	}

	if (SnmpEnabled)
    {
		g_ManagmentTab = AddSelectionTab("SNMP Settings");
		AddSelectionToTab(g_ManagmentTab,"SNMP Basic Settings", "gen_snmp.htm");
		AddSelectionToTab(g_ManagmentTab,"SNMP Device Settings", "snmp_sz.htm");
		AddSelectionToTab(g_ManagmentTab,"SNMP DI Settings", "snmp_di.htm");
		AddSelectionToTab(g_ManagmentTab,"SNMP DO Settings", "snmp_do.htm");
		AddSelectionToTab(g_ManagmentTab,"SNMP AI Settings", "snmp_ai.htm");
		AddSelectionToTab(g_ManagmentTab,"SNMP AO Settings", "snmp_ao.htm");
    }
	document.write("</TABLE>");
	BuildBoxFooter();
	
	BuildBoxHeader();
	document.write("<TABLE width=100%>");
	AddTR();
	document.write("<TD class=userInfo><b>User name: </b>"+g_USERS_AuthUser+"</TD>");
	EndTR();
	AddTR();
	document.write("<TD class=userInfo><b>User group: </b>"+(g_USERS_AuthGroup == '' ? 'Administrators' : g_USERS_AuthGroup)+"</TD>");
	EndTR();
	AddTR();
	document.write("<TD><div align=right class=WwwVersion>"+WwwVersion+"</div></TD>");
	EndTR();
	document.write("</TABLE>");
	BuildBoxFooter();

	if(window.g_REMOTEUTILS_Registry["BootNeeded"]=="1")
		{
		BuildBoxHeader();
		document.write("<TABLE class=innerToolBar>");
		AddTR();
		document.write("<TD><FONT color=red>Settings have changed.<br /> To activate the new settings the "+ProductName+" must be rebooted.</FONT></TD>");
		EndTR();
		document.write("</TABLE>");
		BuildBoxFooter();
		}
	}

function AddHelp(Id)
	{
	return " <span onmouseover=ShowHelp('"+Id+"'); onmouseout=UnTip();>" +
	  '<img src="..//remoteadminimages//InfoIcon1.jpg" width="12" height="12" border="0" style="border: #000000 solid 0px;"></span>';
	}
	
function AddExclamation(id,name,description)
  {
  return ' <span onmouseover=\"ShowExclamation('+id+',\''+name+'\',\''+description+'\');\" onmouseout=\"UnTip();\">' +
	  '<img src=\"..//remoteadminimages//ExclamationIcon.jpg\" width=\"12\" height=\"12\" border=\"0\" style=\"border: #000000 solid 0px;\"></span>';
  }

function AddExclamationInfo(text)
 {
  return " <span onmouseover=\"ShowExclamationInfo('"+text+"')\" onmouseout=\"UnTip()\">" +
	  '<img src=\"..//remoteadminimages//ExclamationIcon.jpg\" width=\"12\" height=\"12\" border=\"0\" style=\"border: #000000 solid 0px;\"></span>';
 }

function ShowExclamationInfo(text)
 {  
  Tip(""+text,WIDTH,300,CLICKSTICKY,true,CLICKCLOSE,true);
 }

function AdjustFormView()
{ 
    if (g_USERS_Hlutverk != HlutverkG)
        return;
        
    bDisabled = true;
    var inputs = document.getElementsByTagName("input"); 
    for (var i = 0; i < inputs.length; i++) { 
        inputs[i].disabled = bDisabled;
    } 
    var selects = document.getElementsByTagName("select");
    for (var i = 0; i < selects.length; i++) {
        selects[i].disabled = bDisabled;
    }
    var textareas = document.getElementsByTagName("textarea"); 
    for (var i = 0; i < textareas.length; i++) { 
        textareas[i].disabled = bDisabled;
    }
    var buttons = document.getElementsByTagName("button");
    for (var i = 0; i < buttons.length; i++) {
        buttons[i].disabled = bDisabled;
    }
}
function parseDrivers(drivers){
	var i, j;

	for (i = 0; i < drivers.length-1;)
	{
		var driverNameLength = parseInt(drivers[i], 16);
		driverName = '';
		for (j = i+1; j < (driverNameLength + i); j = j+2)
			driverName += String.fromCharCode(parseInt(drivers[j],16));
		g_drivers += driverName + ",";
		i = j + 16; 
	}
}