//
// Copyright (c) Microsoft Corporation.  All rights reserved.
//
//
// Use of this source code is subject to the terms of the Microsoft end-user
// license agreement (EULA) under which you licensed this SOFTWARE PRODUCT.
// If you did not accept the terms of the EULA, you are not authorized to use
// this source code. For a copy of the EULA, please see the LICENSE.RTF on your
// install media.
//
 L_PlatformID_Message = "PlatformID:";
 L_CEBuild_Message = ProductName +" Windows CE Build Version:";
 L_CEVersion_Message = ProductName +" Windows CE Version:";
 L_SecBlurbStationInfo_Message = "";
 L_SecTitleStationInfo_Message = ProductName + " Version Information";
 L_MACAddress_Message = "MAC address";
 L_HostName_Message = "Host name";
 L_SecBlurbDHCP_Message = "The DHCP client list displays the clients on your network.  <B>Note:</B> If you reset your Gateway, each client on your network many need to renew its IP address in order for port mappings or other Gateway features to operate correctly.";
 L_SecTitleDHCP_Message = "DHCP client list";
 L_LocalIP_Message = "Local IP Address";
 L_LocalIPSec_Message = "Secondary IP Address";
 L_SecBlurbLAN_Message = "This section displays a summary of your LAN network settings.  These settings indicate the current configuration of your LAN ports.<BR>";
 L_SecTitleLAN_Message = "Local Area Network (LAN) settings";
 L_BTNRenew_Message = "Renew";
 L_BTNRelease_Message = "Release";
 L_DNSSecondary_Message = "Alternate DNS server";
 L_DNSPrimary_Message = "Prefered DNS server";
 L_Gateway_Message = "Default gateway";
 L_WANIP_Message = "WAN IP address:";
 L_Broadband_Message = "Broadband connection:";
 L_SecBlurbWAN_Message = "This section displays a summary of your WAN network settings. These settings indicate the current configuration of your Internet connection.";
 L_SecTitleWAN_Message = "Wide Area Network (WAN) settings";
 L_PageBlurb_Message = "";
 L_PageTitle_Message = "Settings Overview";
 L_WINS2_Message = "WINS2";
 L_WINS1_Message = "WINS1";
 L_DNS2_Message = "DNS2:";
 L_DNS1_Message = "DNS1:";
 L_Subnet_Message = "Subnet mask";
 L_SubnetSec_Message = "Secondary Subnet mask";
 L_DHCPEnabled_Message = "Obtain an IP address via DHCP";
 L_Buttons_Message = "Select Release to release the dynamically assigned IP address on your WAN network. Select Renew to obtain a new IP address on your WAN network.";
 L_NotConnected_Message = "Network adapter is not physically connected to a network. Information displayed may not be correct.";
 L_NkBinBuildVersion_Message = ProductName +" CE Image version (NK.bin)";
 L_NkBinBuildDate_Message = ProductName + " CE Image Date (NK.bin)";
 L_RTU32Date_Message = ProductName + " Firmware Date";
 L_RTU32Firmware_Message = ProductName + " Firmware ID";
 if (StratonEnabled)
    {
    L_RTU32Date_Message += " ("+ProductName+".exe)";
    L_RTU32Firmware_Message += " ("+ProductName+".exe)";
    }
 L_StratonVersion_Message = "VM Runtime Version (RTU32.exe)";
 L_RTL81392_Message = "Network Settings LAN1";
 L_RTL81391_Message = "Network Settings LAN2";
 L_ENET1_Message = "Network Settings LAN1";
 L_NUC900_Message = "Network Settings LAN1";
 L_AX887721_Message = "Network Settings USB1";
 L_AX887722_Message = "Network Settings USB2";
 L_3GWIRELESSMODEM_Message = "3G Modem";
 L_RASVPNLINE0_Message = "VPN PPTP Tunnel";
 L_L2TPLINE0_Message = "VPN L2TP Tunnel";
 L_VMINI1_Message = "Network Settings Debug";
 L_T5BusIec850s_Message = "IEC61850 Server incl. GOOSE";
 L_T5BusExIec850m_Message = "IEC61850 Client";
 L_T5BusExDNP3M_Message = "DNP3 Master";
 L_T5BusExBDNP3SL3_Message = "DNP3 Slave";
 L_T5BusExBDNP3PL3_Message = "DNP3 Slave incl. Peer";
 L_T5BusExDNP3SWITS_Message = "WITS DNP3 Slave";
 L_T5BusExWITS_Message = "WITS DNP3 Slave";
 L_T5BusExProfDP_Message = "Profibus DP Master";
 L_T5BusExPBCIFXSL_Message = "Profibus DP Slave";
 L_T5BusProfNetIO_Message = "ProfiNET";
 L_RTU_SNMP_Message = "RTU32 SNMP Agent";
 L_T5BusExDF1_Message = "DF1 Master (SLC500/SLC5/0x)";
 L_T5BusShm2_Message = "Shared Memory";
 L_T5BusExPhasor_Message = "IEEE C37.118 Synchrophasor";
 L_T5BusExInduperm_Message = "Induperm CCR 951/961";
 L_T5EIP_Message = "EtherNet/IP"