/*
  Copyright (c) Brodersen A/S
  written by Beggi Oskarsson
*/
if ('undefined'==typeof(g_RTU32EDITOR_FileText)) { var g_RTU32EDITOR_FileText = ""; }
if ('undefined'==typeof(g_RTU32EDITOR_SelectedFileName)) { var g_RTU32EDITOR_SelectedFileName= ""; }
if ('undefined'==typeof(g_RTU32EDITOR_LineLines)) { var g_RTU32EDITOR_LineLines=0; } 
if ('undefined'==typeof(g_RTU32EDITOR_LineMaxColons)) { var g_RTU32EDITOR_LineMaxColons=64; } 
if ('undefined'==typeof(g_RTU32EDITOR_Line)) {g_RTU32EDITOR_Line = new Array();}

g_RTU32EDITOR_LineMaxColons = g_RTU32EDITOR_LineMaxColons<64 ? 64 : g_RTU32EDITOR_LineMaxColons;

function OnReset()
{
}	

function SubmitHandler(SubmitVar)
{	
	var bOK = true;
	ClearError();

	var form = FindObject("EditForm");
        
	// If everything passed then pass this onto the global handler to submit
	if (true == bOK)
	{
		GlobalSubmitHandler(SubmitVar);		
		return true;
	}else{		
		FocusFirstError();		
		return false;
	}
}

function TextChange()
{
	G_Dirty = true;
}

function OkToLoseChanges()
    {
    if (G_Dirty)
        {
        if (!confirm("Do you want to loose your changes"))
           return false;
        }
    return true;
    }

function SaveFile(Form)
{
	var CFN = FindObject("CurrentFileName");
	var FN = g_RTU32EDITOR_FileName[CFN.value];
    
    AddSubmitItem(Form, "RTU32EDITOR_SaveFile",FN);		
    AddSubmitItem(Form, "RTU32EDITOR_OpenFile",FN);		
    Form.Editor.name = "RTU32EDITOR_TextToSave";
    G_Dirty = false;
	Form.submit();
}

function OpenFile(Form)
{
    if ('undefined'==typeof(g_RTU32EDITOR_FileName[0]))
        {
        alert("No file available to open");
        return false;
        }
    if (!OkToLoseChanges())
        return;
        
	var CFN = FindObject("CurrentFileName");
	var FN = g_RTU32EDITOR_FileName[CFN.value];
    AddSubmitItem(Form, "RTU32EDITOR_OpenFile",FN);		
	GlobalSubmitHandler(Form);
	Form.submit();
}

function DownloadFile(Form)
{
    if ('undefined'==typeof(g_RTU32EDITOR_FileName[0]))
        {
        alert("No file available to download");
        return false;
        }
    if (!OkToLoseChanges())
        return;
        
	var CFN = FindObject("CurrentFileName");
	var FN = g_RTU32EDITOR_FileName[CFN.value];
    GoTo("DownLoad"+FN);
}

function AddFileNames(FormName)
{
	for(index in g_RTU32EDITOR_FileName) {
		if(g_RTU32EDITOR_SelectedFileName == g_RTU32EDITOR_FileName[index]) {			
			Selected = "SELECTED";
		} else {
			Selected = "";
		}
		document.write("<OPTION value='" + index + "' " + Selected + ">" + g_RTU32EDITOR_FileName[index] + "</OPTION>");
	}	
}

function ResetEditorForm(Form)
{
    if (!OkToLoseChanges())
        return;
    ClearError();
	
	Form.reset();
	G_Dirty = false;
}

function SaveContents()
  {
  var element = document.getElementById('Editor');
    if (element) {
        if (document.execCommand) {
            var FileName = "MyFileToSave.txt"
			var oWin = window.open("blank", "_blank");
            oWin.document.write(element.value);
            oWin.document.close();
            var success = oWin.document.execCommand('SaveAs', true, FileName);
            oWin.close();
            
        }
    }
   }

function ShowPage()
{
	document.write("<form METHOD=post name=EditForm onsubmit='return SubmitHandler(this)' onreset=OnReset()>");
	BuildBoxHeader();
	document.write("<table class=boxInside>");
	AddSection(Loc('FileSelectionHeader'),"");
	AddTR();
		document.write("<TD>" + Loc('FileSelection')+"</TD>");
        document.write("<TD width='100px'><SELECT size=1 id=idCurrentFileName name=CurrentFileName value="+g_RTU32EDITOR_SelectedFileName+">");
		    AddFileNames();
	    document.write("</SELECT>");
		document.write("</TD>");
	    document.write("<TD><input id=idOpenFileBtn name=OpenFileBtn type=button value='Open' onclick=OpenFile(this.form)>  ");
		
	    if (ShowButtonSave)
	        document.write("<input name=SaveFileBtn type=button value='Save' onclick=SaveFile(this.form) " + (""==g_RTU32EDITOR_SelectedFileName?"disabled":"") + " >  ");
        if (ShowButtonCancel)	        
	        document.write("<input name=Cancel type=button value=" + Loc('BTNCancel') + " onclick=ResetEditorForm(this.form)>");
	    if (ShowButtonDownload)
	        document.write('<input value="Download" type="button" onclick="DownloadFile(this.form)" />');
		document.write("</TD>");
	EndTR();
	document.write("<TR><TD COLSPAN=4><HR></TD></TR>");
	AddSection(Loc('EditorHeader'),"");
	document.write("<TR><TD COLSPAN=4>");
	document.write("</TD></TR>");
	document.write("<TR><TD COLSPAN=4><textarea name='Editor' id='Editor' cols="+g_RTU32EDITOR_LineMaxColons+" rows='24' id=Editor onchange=TextChange(); " + (""==g_RTU32EDITOR_SelectedFileName?"disabled":"") + ">");
	for(i=0; i<g_RTU32EDITOR_LineLines; i++)
	  {
	  document.write(g_RTU32EDITOR_Line[i]+"\r\n");
	  }

    document.write("</textarea>");
	document.write("</TD></TR>");
	document.write("</TABLE>");
	BuildBoxFooter();
	document.write("</form>");
	AdjustFormView();
	if (g_USERS_Hlutverk==HlutverkG)
	  {
	  Sel=FindObject('idCurrentFileName');
	  Sel.disabled = false;
	  Btn=FindObject('idOpenFileBtn');
	  Btn.disabled = false;
	  }
	if (!AllowEdit)
	  {
	  FindObject('Editor').disabled = true;
	  }
}
