Number.prototype.padZero= function(){
 var s= String(this), c= '0';
 var len = 3;
 while(s.length < len) s= c + s;
 return s;
}
function bit_test(num, bit){
    return ((num>>bit) % 2 != 0)
}
function ShowRecordDescription(id){
	var iconElement, recordElement = document.getElementById(id);

	if (recordElement != null)
		iconElement = document.getElementById("icon"+id);
		if (recordElement.className == 'hideform')
		{
			recordElement.className = 'showform';
			if (iconElement != null)
				iconElement.src = "..//remoteadminimages//icon-collapse-minus.gif"
		}
		else
		{
			recordElement.className = 'hideform';
			if (iconElement != null)
				iconElement.src = "..//remoteadminimages//icon-collapse-plus.gif"			
		}
}
function CreateCSVFile(){
	var xmlhttp;
	if (window.XMLHttpRequest){// code for IE7+, Firefox, Chrome, Opera, Safari
		xmlhttp=new XMLHttpRequest();
	}
	else{// code for IE6, IE5
		xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
	}
	xmlhttp.open("POST","dnp3witsdatalog.htm",true);
	xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
	xmlhttp.send(getquerystring('EditForm'));
}
function getquerystring(formname) {
    var form = document.forms[formname];
	var qstr = "";

    function GetElemValue(name, value) {
        qstr += (qstr.length > 0 ? "&" : "")
            + escape(name).replace(/\+/g, "%2B") + "="
            + escape(value ? value : "").replace(/\+/g, "%2B");
    }

	var elemArray = form.elements;

    for (var i = 0; i < elemArray.length; i++) {
        var element = elemArray[i];
        var elemType = element.type.toUpperCase();
        var elemName = element.name;
        if (elemName) {
            if (elemType == "TEXT"
                    || elemType == "TEXTAREA"
                    || elemType == "PASSWORD"
					|| elemType == "BUTTON"
					|| elemType == "RESET"
					|| elemType == "SUBMIT"
					|| elemType == "FILE"
					|| elemType == "IMAGE"
                    || elemType == "HIDDEN")
                GetElemValue(elemName, element.value);
            else if (elemType == "CHECKBOX" && element.checked)
                GetElemValue(elemName, 
                    element.value ? element.value : "On");
            else if (elemType == "RADIO" && element.checked)
                GetElemValue(elemName, element.value);
            else if (elemType.indexOf("SELECT") != -1)
                for (var j = 0; j < element.options.length; j++) {
                    var option = element.options[j];
                    if (option.selected)
                        GetElemValue(elemName,
                            option.value ? option.value : option.text);
                }
        }
    }
    return qstr;
}
function AddPointType(pointType){
	var returnValue;
	switch (pointType){
		case 1:
			returnValue = "Binary Input:";
			break;
		case 3:
			returnValue = "Double binary Input:";
			break;
		case 10:
			returnValue = "Binary Output:";
			break;
		case 20:
			returnValue = "Counter:";
			break;
		case 30:
			returnValue = "Analogue Input:";
			break;
		case 40:
			returnValue = "Analogue Output:";
			break;
	}
	return returnValue;
}
function AddLogType(logType){
	if (bit_test(logType, 0) && bit_test(logType, 1)) return "Time";
	if (bit_test(logType, 0) && bit_test(logType, 2)) return "Event";
	return "Unknown";
}
function readFloatLE(buffer, offset, isBE, mLen, nBytes) {
  var e, m,
  eLen = nBytes * 8 - mLen - 1,
  eMax = (1 << eLen) - 1,
  eBias = eMax >> 1,
  nBits = -7,
  i = isBE ? 0 : (nBytes - 1),
  d = isBE ? 1 : -1,
  s = parseInt(buffer[offset + i],16);

  i += d;

  e = s & ((1 << (-nBits)) - 1);
  s >>= (-nBits);
  nBits += eLen;
  for (; nBits > 0; e = e * 256 + parseInt(buffer[offset + i],16), i += d, nBits -= 8);

  m = e & ((1 << (-nBits)) - 1);
  e >>= (-nBits);
  nBits += mLen;
  for (; nBits > 0; m = m * 256 + parseInt(buffer[offset + i],16), i += d, nBits -= 8);

  if (e === 0) {
    e = 1 - eBias;
  } else if (e === eMax) {
    return m ? NaN : ((s ? -1 : 1) * Infinity);
  } else {
    m = m + Math.pow(2, mLen);
    e = e - eBias;
  }
  return (s ? -1 : 1) * m * Math.pow(2, e - mLen);
}
function getFloat(index, values){
	return readFloatLE(values, index, false, 23, 4);
}
function getInt(index, values){
	return parseInt(values[index+1]+values[index],16);
}
function getLong(index, values){
	return parseInt(values[index+3]+values[index+2]+values[index+1]+values[index],16);
}
function parseASCII(index, length, values){
	var str = '';	
    for (var i = index; i < index+length; i++){
        if (parseInt(values[i],16) != 0)
			str += String.fromCharCode(parseInt(values[i],16));
	}
	if (str == "")
		str = '&nbsp;';
    return str;
}
function computeDayOfYear(pDateTime){
  var tempValue1 = parseInt((((pDateTime.getUTCMonth()+1 + 9) / 12)));
  var tempValue2 = parseInt((1 + (((pDateTime.getUTCFullYear()%4) + 2) / 3)));
  var tempValue3 = parseInt((((pDateTime.getUTCMonth()+1)*275) / 9));
  if (tempValue1 < 0) tempValue1 *=-1;
  if (tempValue2 < 0) tempValue2 *=-1;
  if (tempValue3 < 0) tempValue3 *=-1;
  var returnValue = (((tempValue3 - (tempValue1 * tempValue2)) + pDateTime.getUTCDate() - 30));
  return parseInt(returnValue);
}
function parseUTC(index, values){
	var least = getInt(index, values);
	var most = getLong(index+2, values);
	var returnDate = new Date();
	var tmp1 = (((most % 60000) << 16) >>> 0);
	var tmp2 = (((most / 60000) << 16) >>> 0) + ((tmp1 + least) / 60000);
	
	returnDate.setUTCMilliseconds(((tmp1 + least) % 60000000));
	returnDate.setUTCSeconds(((tmp1 + least) % 60000)/1000);
	returnDate.setUTCMinutes(tmp2 % 60);
	tmp2 = parseInt(tmp2 / 60);
	returnDate.setUTCHours(tmp2%24);
	tmp2 = parseInt(tmp2 / 24);
	returnDate.setUTCFullYear(parseInt((tmp2/365)+1970));
	
	tmp1 = parseInt(((returnDate.getUTCFullYear() - 1970) * 365) + ((returnDate.getUTCFullYear() - 1969) / 4));
	
	while (tmp1 > tmp2){
		returnDate.setFullYear(returnDate.getUTCFullYear()-1);
		tmp1 = parseInt(((returnDate.getUTCFullYear() - 1970) * 365) + ((returnDate.getUTCFullYear() - 1969) / 4));	
	}
	tmp2 = parseInt(tmp2 - tmp1 + 1);
	returnDate.setUTCMonth(parseInt((tmp2/28)));
	returnDate.setUTCDate(parseInt((tmp2%28)+1));
	
	while (computeDayOfYear(returnDate) != tmp2){
		var newDate = returnDate.getUTCDate()-1;
		if (newDate == 0){
			returnDate.setUTCMonth(returnDate.getUTCMonth()-1);
			var lastDayInMonth = daysInMonth(returnDate.getUTCMonth(), returnDate.getUTCFullYear());
			returnDate.setUTCDate(lastDayInMonth);
		}
		else
			returnDate.setUTCDate(newDate);
	}
	
	var returnString = returnDate.toUTCString();
	return returnString.replace(" UTC", "." + returnDate.getUTCMilliseconds().padZero() + " UTC");
}
function daysInMonth(month, year)
{
  return new Date(year, month+1, 0).getDate();
}
//Parse Records
function parseBinaryRecord(index, byteCount){
	var flags, quality, CSVData = "";
	flags = parseInt(g_HexByte[index],16);
	quality = parseInt(g_HexByte[index+1],16);
	document.write("<TR><TD colspan=\"2\">");
	document.write("<TABLE width=\"100%\" class=\"hideform\" id=\""+index+"\">");
	Add2ColTRTDAttr("width=\"150px\"","Flags:", flags);
	Add2ColTRTDAttr("width=\"150px\"","Quality:", quality);
	document.write("</TABLE>");
	document.write("</TD></TR>");
	
	CSVData += flags + ";;;" + quality + ";;;;;;;\r\n";
	return CSVData;
}
function parseCounterRecord(index, byteCount){
	var flags, value, state, quality, CSVData = "";
	flags = parseInt(g_HexByte[index],16);
	value = getLong(index+1,g_HexByte);
	state = parseInt(g_HexByte[index+5],16);
	quality = parseInt(g_HexByte[index+6],16);
	document.write("<TR><TD colspan=\"2\">");
	document.write("<TABLE width=\"100%\" class=\"hideform\" id=\""+index+"\">");
	Add2ColTRTDAttr("width=\"150px\"","Flags:", flags);
	Add2ColTRTDAttr("width=\"150px\"","Value:", value);
	Add2ColTRTDAttr("width=\"150px\"","State:", state);
	Add2ColTRTDAttr("width=\"150px\"","Quality:", quality);
	document.write("</TABLE>");
	document.write("</TD></TR>");
	
	CSVData += flags + ";" + value + ";" + state + ";" + quality + ";;;;;;;\r\n";
	return CSVData;
}
function parseAnalogueRecord(index, byteCount, logType){
	var flags, value, state, quality, CSVData = "";
	var minFlags = "-", minValue = "-", maxFlags = "-", maxValue = "-", meanFlags = "-", meanValue = "-";
	flags = parseInt(g_HexByte[index],16);
	value = getFloat(index+1,g_HexByte);
	state = parseInt(g_HexByte[index+5],16);
	quality = parseInt(g_HexByte[index+6],16);
	document.write("<TR><TD colspan=\"2\">");
	document.write("<TABLE width=\"100%\" class=\"hideform\" id=\""+index+"\">");
	Add2ColTRTDAttr("width=\"150px\"","Flags:", flags);
	Add2ColTRTDAttr("width=\"150px\"","Value:", value);
	Add2ColTRTDAttr("width=\"150px\"","State:", state);
	Add2ColTRTDAttr("width=\"150px\"","Quality:", quality);
	
	CSVData += flags + ";" + value + ";" + state + ";" + quality + ";";
	if (bit_test(logType, 4)){
		minFlags = parseInt(g_HexByte[index+7],16);
		minValue = getFloat(index+8, g_HexByte);
		CSVData += minFlags + ";" + minValue + ";";
	}
	else
		CSVData += ";;";
	Add2ColTRTDAttr("width=\"150px\"","Min. Flags:", minFlags);
	Add2ColTRTDAttr("width=\"150px\"","Min. Value:", minValue);

	if (bit_test(logType, 5)){
		maxFlags = parseInt(g_HexByte[index+12],16);
		maxValue = getFloat(index+13, g_HexByte);
		CSVData += maxFlags + ";" + maxValue + ";";
	}
	else
		CSVData += ";;";
	Add2ColTRTDAttr("width=\"150px\"","Max. Flags:", maxFlags);
	Add2ColTRTDAttr("width=\"150px\"","Max. Value:", maxValue);
		
	if (bit_test(logType, 6)){
		meanFlags = parseInt(g_HexByte[index+17],16);
		meanValue = getFloat(index+18, g_HexByte);
		CSVData += meanFlags + ";" + meanValue + ";";
	}
	else
		CSVData += ";;";
	Add2ColTRTDAttr("width=\"150px\"","Mean Flags:", meanFlags);
	Add2ColTRTDAttr("width=\"150px\"","Mean Value:", meanValue);

	document.write("</TABLE>");
	document.write("</TD></TR>");
	CSVData += "\r\n";
	return CSVData;
}