//
// Copyright (c) Microsoft Corporation.  All rights reserved.
//
//
// Use of this source code is subject to the terms of the Microsoft end-user
// license agreement (EULA) under which you licensed this SOFTWARE PRODUCT.
// If you did not accept the terms of the EULA, you are not authorized to use
// this source code. For a copy of the EULA, please see the LICENSE.RTF on your
// install media.
//
// Local variables
// (NOTE: make sure these match the values in DeviceConfig.htm)
var l_PasswordMinLen = 3;
var l_PasswordMaxLen = 16;

InsertPage("Password");

function Show_Password()
{
	// Password page
	document.write("<form ID=WPasswordForm METHOD=post>");
	document.write("<table width=100%>");
	AddTR();
		AddAttrTD("width=100% class=cellLtColor", WLoc("Password_Title"));
	EndTR();

	AddTR();
	document.write("<TD colspan=3 width=100%>");
	BuildBoxHeader();
	document.write("<table cellspacing=0 cellpadding=0 width=100% class=boxInside>");

	
	AddTR();
		AddTD(WLoc("Password_NewPass"));
		AddTD("<input type=password id=PASSWORD_PWD size=20 maxlength=" + l_PasswordMaxLen + " onkeyup=enableApply()>");
	EndTR();

	AddTR();
		AddTD(WLoc("Password_ConfirmPass"));
  	AddTD("<input type=hidden value=ENABLED name=PASSWORD_SECURITYLEVEL>"+
		      "<input type=password id=PASSWORD_PWDVERIFY size=20 maxlength=" + l_PasswordMaxLen + " onkeyup=enableApply()>");
	EndTR();

	document.write("</table>");
	BuildBoxFooter(false);
	document.write("</TD>");
	EndTR();
	document.write("</table>");
	document.write("</form>");
}

function Update_Password()
{
	l_WhatToFocus = FindObject("PASSWORD_PWD");
}

function Validate_Password()
{
	var bOK = true;
	ClearError();
	
	var form = FindObject("WPasswordForm");
	
	if(window.g_PASSWORD_PasswordSet) {
		// FIXFIX: old password checking is currently turned off in the backend.
		//bOK = ValidatePW(form.PASSWORD_PWDOLD, l_PasswordMinLen, l_PasswordMaxLen);
	}

	bOK &= ValidatePW(form.PASSWORD_PWD, l_PasswordMinLen, l_PasswordMaxLen);
	bOK &= ValidatePW(form.PASSWORD_PWDVERIFY, l_PasswordMinLen, l_PasswordMaxLen);
	
	if (form.PASSWORD_PWD.value != form.PASSWORD_PWDVERIFY.value)
	{
		FlagError(form.PASSWORD_PWD, "PWDontMatch");
		FlagError(form.PASSWORD_PWDVERIFY, "PWDontMatch");

		bOK = false;
	}
		
	if (true == bOK)
	{
		return true;
	}else{
		FocusFirstError();
		return false;
	}
}

function Submit_Password(Submit)
{
	var form = FindObject("WPasswordForm");

	AddSubmitItem(Submit, "PASSWORD_SECURITYLEVEL", "ENABLED");
	AddSubmitItem(Submit, "PASSWORD_PWD", form.PASSWORD_PWD.value);
	AddSubmitItem(Submit, "PASSWORD_PWDVERIFY", form.PASSWORD_PWDVERIFY.value);
	
	return true;
}
